Subject: Charges for Medicare Confirmed. View Statement #12252

From: "Trixi Bailey" <[email-masked]>
Date: Mon, 18 Sep 2006 19:11:36 +0800

Refers to any fields that may be on an attached commercial invoice.